--- title: "Enable profile" slug: "management-subaccount-enableprofiles" updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-enableprofiles" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Enable profile Available in Classic and VPC Enable a profile. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/profiles/{profileId}/enable | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profileId` | String | Required | Profile ID - See [Get profile list](/docs/en/management-subaccount-getprofilelist) | ### Request example The request example is as follows: ``` curl --location --request POST 'https://externalaccess.apigw.ntruss.com/api/v1/profiles/76da1a8c-****-****-****-cf13dfc49aa6/enable' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `profileId` | String | - | Profile ID | | `profileNrn` | String | - | NAVER Cloud Platform resource identification value for profile | | `name` | String | - | Profile name | | `description` | String | - | Profile description | | `enabled` | Boolean | - | Status - `true` \| `false` - `true`: enabled - `false`: disabled | | `durationSeconds` | Integer | - | Session expiration time - Temporary credential duration (second) | | `roleNrnList` | Array | - | List of roles mapped to profile | | `createTime` | String | - | Creation date and time - ISO 8601 format | | `updateTime` | String | - | Last modification date and time - ISO 8601 format | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "profileId": "abfb4598-****-****-****-95c49101a86d", "profileNrn": "nrn:PUB:ExternalAccess::*******:Profile/abfb4598-****-****-****-95c49101a86d", "name": "profile000", "description": "profile", "enabled": true, "durationSeconds": 600, "roleNrnList": [], "createTime": "2024-12-24T14:29:54.766+09:00", "updateTime": "2024-12-24T14:29:54.766+09:00" } ```